Skip to main content
Jump to: navigation, search

Difference between revisions of "Teneo/Hibernate/Download and Install"

(Download and install using the update manager (for usage in Eclipse/OSGI))
Line 21: Line 21:
 
* EMF 2.5: http://download.eclipse.org/modeling/emf/updates/releases/ (this site also lists Teneo builds, but is better to use a recent maintenance build, see the interim site below)
 
* EMF 2.5: http://download.eclipse.org/modeling/emf/updates/releases/ (this site also lists Teneo builds, but is better to use a recent maintenance build, see the interim site below)
 
* EMF 2.6: http://download.eclipse.org/modeling/emf/updates/interim/
 
* EMF 2.6: http://download.eclipse.org/modeling/emf/updates/interim/
* Teneo (1.1.2 and 1.2.*): http://download.eclipse.org/modeling/emf/updates/interim/
+
* Teneo: https://build.eclipse.org/hudson/job/emf-teneo-nightly/lastSuccessfulBuild/artifact/build/result/p2site/
 
* Hibernate and other dependencies: http://www.elver.org/eclipse/update
 
* Hibernate and other dependencies: http://www.elver.org/eclipse/update
  
Line 31: Line 31:
  
  
The Teneo update site will look similar to this image. Select the Teneo Hibernate SDK, for EMF 2.6 select the 1.2.* versions):
+
The Teneo update site will look similar to this image. Select the Teneo Hibernate SDK:
  
[[Image:org.eclipse.emf.teneo.install_teneo.png|center|600px]]
+
 
 +
[[Image:org.eclipse.emf.teneo.update.site.png|center|700px]]
  
  
 
The elver update site lists the Hibernate, dom4j and a number of JDBC plugins (select them all):
 
The elver update site lists the Hibernate, dom4j and a number of JDBC plugins (select them all):
 +
  
 
[[Image:org.eclipse.emf.teneo.install_dependency.png|center]]
 
[[Image:org.eclipse.emf.teneo.install_dependency.png|center]]

Revision as of 23:24, 2 March 2010


The installation method for Teneo depends on the target environment(Eclipse/OSGI or web container). Both cases are discussed on this page. This page also describes where to find the example projects used in the tutorials in the wiki.

Teneo is build and tested on Eclipse 3.5 (Teneo 1.1.*) and Eclipse 3.6 (Teneo 1.2.*). This page assumes that you have a running Eclipse 3.5/3.6 instance available.

Dependencies

To run Teneo you need the following software:

  • EMF 2.5 (Teneo 1.1.*) or 2.6 (Teneo 1.2.*)
  • Hibernate 3.3.2 and its dependencies
  • Apache commons logging
  • JDBC driver

Some dependencies can not be downloaded from eclipse.org because of licensing differences. Teneo provides an update site with the required dependencies: http://www.elver.org/eclipse/update.

Download and install using the update manager (for usage in Eclipse/OSGI)

To download and install Teneo and its dependencies, use the following update sites:

It is best to combine EMF 2.5 with a Teneo 1.1.2 maintenance build.

The EMF update site, select the EMF/XSD SDK:

Org.eclipse.emf.teneo.install emf.png


The Teneo update site will look similar to this image. Select the Teneo Hibernate SDK:


Org.eclipse.emf.teneo.update.site.png


The elver update site lists the Hibernate, dom4j and a number of JDBC plugins (select them all):


Org.eclipse.emf.teneo.install dependency.png

Download directly

Teneo can be downloaded directly from this page. Note that it is always better to use a maintenance build, also for maintenance builds all the test cases pass. Maintenance builds are listed a bit lower on the download page.

Creating your own Hibernate plugin

If you want to make your own Hibernate/library plugin there is one specific setting which needs to be set in your plugin: make sure to add the following line to the MANIFEST.MF of the Hibernate/libraries plugin you create:

Eclipse-BuddyPolicy: dependent

This is required otherwise the Hibernate libraries can not find your model classes when performing runtime class enhancement. See here for more information. Note that also other Eclipse-BuddyPolicy settings can be used (and can make sense in production environments) but the 'dependent' setting is the safest one.

Install Teneo for usage within a Web Container

For usage within a web container the following jar files are required. You can find these files in the download zips (within the eclipse/plugins directory of the zip file) or in the plugins folder of your eclipse installation, after installing through the update manager:

  • EMF jar files:
    • org.eclipse.emf.ecore
    • org.eclipse.emf.common
    • org.eclipse.emf.ecore.xmi
  • Teneo jar files:
    • org.eclipse.emf.teneo
    • org.eclipse.emf.teneo.annotations
    • org.eclipse.emf.teneo.hibernate: this plugin is probably installed as a folder in Eclipse, you can create a jar file by zipping this folder and changing the extension to .jar.
    • org.eclipse.emf.teneo.hibernate.extra.jar
    • org.eclipse.emf.teneo.hibernate.mapper
  • Dependencies: it is probably best to download hibernate, commons-logging and a jdbc driver directly from their respective websites. You can however also find these jar files in the eclipse/plugins directory after installing through the update manager.

For a web container these jar files should be placed in the WEB-INF/lib directory of your web application.

Download and Install Example Projects for Tutorials

Back to the top